Batch Get Tax Summary
POST
/api/v1/wallets/batch/tax-summary
const url = 'https://api.qeychain.xyz/api/v1/wallets/batch/tax-summary';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"addresses":["example"],"tax_year":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.qeychain.xyz/api/v1/wallets/batch/tax-summary \ --header 'Content-Type: application/json' \ --data '{ "addresses": [ "example" ], "tax_year": 1 }'Get tax summary for multiple wallet addresses in a single request.
Maximum 100 addresses per request.
Returns:
- Per-address tax summary
- Aggregated tax totals across all addresses
Request Bodyrequired
Section titled “Request Bodyrequired”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
Response Batch Get Tax Summary Api V1 Wallets Batch Tax Summary Post
object
key
additional properties
any
Examplegenerated
{}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}